Project

General

Profile

Anomalie #4016

Les sites PHP de la vm candidatsfr tourent encore en php5

Added by Quentin Gibeaux about 2 years ago. Updated 7 months ago.

Status:
Attente d'information
Priority:
Normale
Assignee:
-
Category:
-
Target version:
Start date:
11/15/2019
Due date:
07/01/2022
% Done:

10%

Estimated time:
Difficulté:
2 Facile

Description

Les sites PHP de la VM candidatsfr tournent encore en php5 :

(April) root@candidatsfr:/etc/apache2[master]# ls mods-enabled/php*
mods-enabled/php5.conf  mods-enabled/php5.load

Si l'on active php7.3 à la place de php5, les sites passent en "temporary unavailable".

De plus les check update ne fonctionnent pas.

(April) root@candidatsfr:/etc/apache2[master]# php7.3 /usr/local/lib/nagios/plugins/check_dotclear_update /var/www/www.freesoftwarepact.eu/dotclear
PHP Fatal error:  Site temporarily unavailable in /var/www/www.freesoftwarepact.eu/dotclear/inc/prepend.php on line 357
(April) root@candidatsfr:/etc/apache2[master]# php5 /usr/local/lib/nagios/plugins/check_dotclear_update /var/www/www.freesoftwarepact.eu/dotclear
PHP Fatal error:  Call to undefined function curl_init() in /srv/scripts/common/check_dotclear_update on line 16


Related issues

Related to Admins - Demande #5224: La prochaine mise à jour Dotclear www.candidats.fr et www.freesoftwarepact.eu nécessite PHP 7Nouveau02/17/2021

Actions

History

#1

Updated by Quentin Gibeaux about 2 years ago

J'ai temporairement résolu le problème du check en installant php5-curl.
Pour cela j'ai mis temporairement le dépot debian-security de jessie qui n'était plus là. apt en a profité pour faire des mise à jour de sécurité de php5 qui manquaient.

Il a désinstallé le module apache php7, et installé php7-fpm à la palce, mais de toute façon, php7 n'était pas utilisé par apache présentement.

Quand on aura basculé candidatsfr et freesoftwarepact, on pourra réinstaller php7 et nettoyer php5.

#2

Updated by Quentin Gibeaux about 2 years ago

  • % Done changed from 0 to 50
#3

Updated by Quentin Gibeaux about 2 years ago

  • % Done changed from 50 to 10

Retour arrière, en fait ça avait viré apache2.

Donc j'ai remis en panne le check, il est en conflit avec les paquets curl de buster.

#4

Updated by Christian P. Momon about 2 years ago

  • Status changed from Nouveau to Attente d'information

Sujet évoqué brièvement pendant le camp bustérisation : certaines applications web de la vm candidatsfr sont du code développé par l'April :o)
En conséquence, une étude préalable et une migration manuelle de code sont nécessaires avant le passage à PHP7 :o)

#5

Updated by François Poulain about 2 years ago

Dotclear étant maintenu, il faudrait peut être essayer de l'upgrader.

Sinon, vu l'âge des campagnes, on peut aussi faire un wget --mirror de la partie publique de la plupart, et remettre ça sur lamp ...

#6

Updated by François Poulain about 2 years ago

Sinon, vu l'âge des campagnes, on peut aussi faire un wget --mirror de la partie publique de la plupart, et remettre ça sur lamp ...

Après avoir passé 2h à essayer de faire fonctionner fsfact en php 7, et vu le cauchemar qu'il y a dans ce code, je pense que c'est de loin la meilleure option. La seconde étant de poubéliser tout ça.

#7

Updated by Christian P. Momon 9 months ago

  • Related to Demande #5224: La prochaine mise à jour Dotclear www.candidats.fr et www.freesoftwarepact.eu nécessite PHP 7 added
#8

Updated by Frédéric Couchet 7 months ago

  • Due date set to 07/01/2022

Le site est encore potentiellement utilisé ne serait-ce que pour mettre en ligne simplement le pacte pour une élection, même sans campagne active.

On se laisse jusqu'aux législatives 2022, et si pas de campagne candidats.fr actives relancée alors on rendra le site statique.

Also available in: Atom PDF